export const usePayStore = defineStore('ie-pay', {
  state: () => ({
    price: 468000,
    orderId: null as number | null
  }),
  actions: {
    setPrice(price: number) {
      this.price = price;
    },
    setOrderId(id: number | null) {
      this.orderId = id;
    }
  },
  persist: {
    storage: {
      getItem: uni.getStorageSync,
      setItem: uni.setStorageSync,
    }
  }
});